# Generated by Django 3.0.14 on 2022-01-29 15:54

import core.fields
import dirtyfields.dirtyfields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import jsonfallback.fields
import simple_history.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('claim', '0012_item_service_jsonExtField'),
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ClaimBundleEvaluation',
            fields=[
                ('id', models.UUIDField(db_column='UUID', default=None, editable=False, primary_key=True, serialize=False)),
                ('is_deleted', models.BooleanField(db_column='isDeleted', default=False)),
                ('json_ext', jsonfallback.fields.FallbackJSONField(blank=True, db_column='Json_ext', null=True)),
                ('date_created', core.fields.DateTimeField(db_column='DateCreated', null=True)),
                ('date_updated', core.fields.DateTimeField(db_column='DateUpdated', null=True)),
                ('version', models.IntegerField(default=1)),
                ('evaluation_hash', models.CharField(default=uuid.uuid4, max_length=36, unique=True)),
                ('status', models.IntegerField(choices=[(0, 'Idle'), (1, 'Started'), (2, 'Finished'), (-1, 'Failed')], default=0)),
                ('fhir_response', models.TextField(default=None, null=True)),
                ('evaluation_finish_time', models.TextField(null=True)),
                ('user_created', models.ForeignKey(db_column='UserCreatedUUID', on_delete=django.db.models.deletion.DO_NOTHING, related_name='claimbundleevaluation_user_created', to=settings.AUTH_USER_MODEL)),
                ('user_updated', models.ForeignKey(db_column='UserUpdatedUUID', on_delete=django.db.models.deletion.DO_NOTHING, related_name='claimbundleevaluation_user_updated', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
            bases=(dirtyfields.dirtyfields.DirtyFieldsMixin, models.Model),
        ),
        migrations.CreateModel(
            name='SingleClaimEvaluationResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bundle_evaluation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='claim', to='claim_ai.ClaimBundleEvaluation')),
                ('claim', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ai_evaluations', to='claim.Claim')),
            ],
        ),
        migrations.CreateModel(
            name='HistoricalClaimBundleEvaluation',
            fields=[
                ('id', models.UUIDField(db_column='UUID', db_index=True, default=None, editable=False)),
                ('is_deleted', models.BooleanField(db_column='isDeleted', default=False)),
                ('json_ext', jsonfallback.fields.FallbackJSONField(blank=True, db_column='Json_ext', null=True)),
                ('date_created', core.fields.DateTimeField(db_column='DateCreated', null=True)),
                ('date_updated', core.fields.DateTimeField(db_column='DateUpdated', null=True)),
                ('version', models.IntegerField(default=1)),
                ('evaluation_hash', models.CharField(db_index=True, default=uuid.uuid4, max_length=36)),
                ('status', models.IntegerField(choices=[(0, 'Idle'), (1, 'Started'), (2, 'Finished'), (-1, 'Failed')], default=0)),
                ('fhir_response', models.TextField(default=None, null=True)),
                ('evaluation_finish_time', models.TextField(null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user_created', models.ForeignKey(blank=True, db_column='UserCreatedUUID', db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user_updated', models.ForeignKey(blank=True, db_column='UserUpdatedUUID', db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical claim bundle evaluation',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='ClaimProvisionEvaluationResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('claim_provision', models.PositiveIntegerField()),
                ('evaluation', models.IntegerField(choices=[(-1, 'Undefined'), (0, 'Accepted'), (1, 'Rejected')], default=-1)),
                ('claim_evaluation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='claim_evaluation', to='claim_ai.SingleClaimEvaluationResult')),
                ('content_type', models.ForeignKey(limit_choices_to=models.Q(models.Q(('app_label', 'claim'), ('model', 'ClaimItem')), models.Q(('app_label', 'claim'), ('model', 'ClaimService')), _connector='OR'), on_delete=django.db.models.deletion.DO_NOTHING, to='contenttypes.ContentType')),
            ],
        ),
    ]
